Bug 136131 - FORMCONTROLS: Numerical & Formatted Field Form Controls Value Limits Don't Save User Inputs & Returns To Default +/- 1000000
Summary: FORMCONTROLS: Numerical & Formatted Field Form Controls Value Limits Don't Sa...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Form-Controls
  Show dependency treegraph
 
Reported: 2020-08-26 05:55 UTC by sims.316
Modified: 2022-09-27 03:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Form controls with malfunctioning value bounds (8.93 KB, application/vnd.oasis.opendocument.text)
2020-08-26 05:57 UTC, sims.316
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sims.316 2020-08-26 05:55:23 UTC
Description:
Modifications to upper and lower bounds for a numerical or formatted field form control don't save after leaving "Control Properties".

Steps to Reproduce:
1. Insert numerical field value form control. (Also applies to formatted field form controls).
2. Open properties and change "Value min" or "Value max".
3. Deselect control.
4. Reselect control.
5. Open "Control Properties".
6. Observe that "Value min" and "Value max" have reverted to default +/- 1000000. (Formatted field controls revert to null "Value min" and "Value max".)

Actual Results:
Numerical field controls revert to -1000000 for "Value min" and 1000000 for "Value max". Formatted field controls revert back to null for "Value min" and "Value max".

Expected Results:
"Value min" and "Value max" should save the user inputted number when the user modifies it. The user input should still be present when the "Control Properties" are opened later.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 7.0.0.3 (x64)
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL

***NOTE: "OpenCL" is enabled. There is no "OpenGL" in 7.0.0.3 under Tools > Options > LibreOffice > View.***
Comment 1 sims.316 2020-08-26 05:57:40 UTC
Created attachment 164690 [details]
Form controls with malfunctioning value bounds
Comment 2 BogdanB 2020-08-26 05:58:42 UTC
confirm with
Version: 7.0.0.3 (x64)
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 4; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: ro-RO (ro_RO); UI: en-US
Calc: threaded
Comment 3 sims.316 2020-09-25 23:06:30 UTC
In case it helps with debugging, I can get the radio buttons to work in Adobe Acrobat DC if I open the .odt document in Open Office 4.1.7 then export as PDF from that application. Must be something in the code changes that happened after the project forked into Libre Office...
Comment 4 sims.316 2020-09-25 23:06:54 UTC Comment hidden (obsolete)
Comment 5 BogdanB 2020-09-26 04:23:59 UTC
It is sure now that this is just a Windows bug.

NOT in
Version: 7.1.0.0.alpha0+
Build ID: 4a899a5f8a72ea29a6919316afe3627de9f33e95
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded

NOT in Version: 6.4.4.1
Build ID: b50bc319eca5cd5b66fbfe2ebd0d3bd1eed099b5
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

not in Version: 6.4.0.3
Build ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

NOT in Version: 6.3.1.2
Build ID: b79626edf0065ac373bd1df5c28bd630b4424273
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

Not in Version: 5.4.7.2
Build ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk2; 
Locale: ro-RO (ro_RO.UTF-8); Calc: group
Comment 6 QA Administrators 2022-09-27 03:31:36 UTC
Dear sims.316,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug